#ifndef WRITEINSERIAL_H
#define WRITEINSERIAL_H

#ifdef __cplusplus
extern "C" {
#endif


/*	Includes	*/
#include <sys/syscall.h>
#include <sys/types.h>


/*	definitions	*/
#define PUERTOSERIEOBJETIVO			"/dev/ttyUSB0"	
#define	LONGITUDBUFFERSERIE			32
#define MAXIMALINEA				100
#define	MAXIMALONGITUDDIRECCIONES		2
#define MAXIMALONGITUDNOMBREPUERTOSERIE		50
#define LONGITUDDATOS				20


/*	Global variables	*/


/*	prototipos funciones	*/
int zigbeeti_open_port_bloqueante(char* puertoserie);

void zigbeeti_rellenaBufferConInfo(unsigned int entrada_direcciondestino , unsigned int entrada_endpointdestino , unsigned int entrada_clusterdestino , unsigned int entrada_comando ,  char* entrada_datos, unsigned char* pmensajeaenviar);

void zigbeeti_verificaloqueseenvia(char* mensajeaenviar);


//	FUNCION
//	se usa para generar una trama de 32 octetos a enviar, suministrando la siguiente información
//	unsigned int direcciondestino	--	dirección de destino que se convertirá en 2 bytes
//	unsigned int endpointdestino	--	endpoint (1 byte) de destino
//	unsigned int clusterdestino	--	cluster de destino, en caso de usarse (1 byte)
//	unsigned int comando		--	comando (2 bytes)
//	char* cadenaasciidatos		--	puntero a un string que encapsula los datos a enviar
//	car* puertoserie		--	puntero a un string que describa el puerto a abrir
void zigbeeti_enviar(unsigned int direcciondestino, unsigned int endpointdestino, unsigned int clusterdestino, unsigned int comando, char* cadenaasciidatos,char* puertoserie);


//	FUNCION
//	cada vez que se invoca devuelve UNA trama de LONGITUDBUFFERSERIE octetos
//	así que cada vez que para recibir constantemente hay que meter esta función
//	en alguna estructura iterativa
//	puertoserie		cadena del tipo /dev/ttyUSB0"
//	pmensajearecibir	puntero de tipo unsigned char* con LONGITUDBUFFERSERIE bytes reservados
//				en la llamada.	
void zigbeeti_recibir(char* puertoserie, unsigned char* pmensajearecibir);

/*	Types	*/


#ifdef __cplusplus
	}
#endif


#endif // end WRITEINSERIAL_H
