#ifndef WRITEINSERIALCONHILOS_H
#define WRITEINSERIALCONHILOS_H

#ifdef __cplusplus
extern "C" {
#endif




// header para libreria zigbeeti
#include "writeinserial.h"

//	UNIX and Standard C includes
#include <stdio.h>   /* Standard input/output definitions */
#include <string.h>  /* String function definitions */
#include <unistd.h>  /* UNIX standard function definitions */
#include <fcntl.h>   /* File control definitions */
#include <errno.h>   /* Error number definitions */
#include <termios.h> /* POSIX terminal control definitions */
#include <sys/syscall.h>
#include <sys/types.h>
#include <pthread.h>	/*	Para usar threads	*/	

/****		defs			****/
#define	NUMEROMENSAJESBUFFERRECEPCION	1000
#define NUMEROMENSAJESBUFFERENVIO	1000
#define SEGUNDOSSLEEP			1

#define MAXIMONUMEROMENSAJESAENVIAR	10000
#define MAXIMONUMEROMENSAJESARECIBIR	10000 


//	COMANDOS (son unsigned int de 2 bytes, expresados en hexadecimal )

#define COM_PRESENCIAGENERICA			0x0000	// Se ha cambiado el código del CC2530		
#define COM_CONFIRMACIONRECEPCION		0x0001
#define COM_CONFIRMACIONEJECUCIONCORRECTA	0x0002
#define	COM_CONFIRMACIONEJECUCIONINCORRECTA	0x0003
#define COM_TRASLACIONABSOLUTA			0x0004
#define COM_TRASLACIONRELATIVA			0x0005
#define	COM_TRASLACIONROTACIONABSOLUTA		0x0006
#define COM_TRASLACONROTACIONRELATIVA		0x0007
#define COM_ROTACIONABSOLUTA			0x0008
#define COM_ROTACIONRELATIVA			0x0009
#define COM_POSICIONAMIENTOPINZA		0x000A

#define DEV_ORDENCOMPLETADA			0x000B



/****		global variables	****/
//	hilos
//	las variables se definen en el main
//	mutex
pthread_mutex_t	m1;
//	pthread_mutex_t m2 = PTHREAD_MUTEX_INITIALIZER;

//	LAS SIGUIENTES VARIABLES SIRVEN PARA LA COMUNICACION
//	ENTRE 
//	buffers envio y recepcion
unsigned char mensajesrecibidos[NUMEROMENSAJESBUFFERRECEPCION][LONGITUDBUFFERSERIE];
unsigned char mensajesaenviar[NUMEROMENSAJESBUFFERENVIO][LONGITUDBUFFERSERIE];

// 	Para llevar la cuenta, porque C no tiene containers
int nmensajesrecibidos;	
int nmensajesaenviar;
int nmensajesefectivamenteenviados ;		// Hay una diferencia entre los mensajes enviados y los que hay en el buffer a enviar
int nmensajesefectivamenteprocesados;	// Hay una diferencia entre los mensajes recibidos y los que el thread_codigoprincipal ha procesado


//	Otras variables para comunicarse entre hilos

char entrada_dispositivo[MAXIMALINEA];	//	esperamos algo como "ttyUSB0"	
unsigned int entrada_direcciondestino;		//	el dispositivo en espera recibirá un mensaje periódico del cual sacará el origen, ep y lo pasará al hilo adecuado
unsigned int entrada_endpointdestino;	//	esperamos un byte





/****	prototipos funciones hilos	****/
void *thread_codigoprincipal(void* p);
void *thread_enviamensajes(void* p);
void *thread_recibemensajes(void* p);





#ifdef __cplusplus
	}
#endif


#endif // end WRITEINSERIALCONHILOS_H
