//	Project specific includes
#include "writeinserial.h"

//	UNIX and Standard C includes
#include <stdio.h>   /* Standard input/output definitions */
#include <string.h>  /* String function definitions */
#include <unistd.h>  /* UNIX standard function definitions */
#include <fcntl.h>   /* File control definitions */
#include <errno.h>   /* Error number definitions */
#include <termios.h> /* POSIX terminal control definitions */
#include <sys/syscall.h>
#include <sys/types.h>



//	FUNCION
//	opens the PUERTOSERIEOBJETIVO defined as a chain in writeinserial.h
//	blocking function
int zigbeeti_open_port_bloqueante(char* puertoserie)
{
	int fd;

	//	El puerto serie se especifica al arrancar el diálogo
	fd = open(puertoserie, O_RDWR );	// POSIX

	if(fd == -1)
	{
		//	Could not open the port
		perror("open_port: unable to open the port ");
	}
	else{fcntl(fd, F_SETFL, 0);}

	return(fd);
}


// 	FUNCION
//	Rellena el buffer variable global a enviar serie CON LOS DATOS SUMINISTRADOS 
//	pmensajeaenviar		puntero unsigned char* con LONGITUDBUFFERSERIE bytes libres
void zigbeeti_rellenaBufferConInfo(unsigned int entrada_direcciondestino , unsigned int entrada_endpointdestino , unsigned int entrada_clusterdestino , unsigned int entrada_comando ,  char* entrada_datos, unsigned char* pmensajeaenviar)
{


	//	Local variable
	int i;
	char direcciondestino_LSB;
	char direcciondestino_MSB;
	char endpointdestino;
	char clusterdestino;
	char comando_LSB;
	char comando_MSB;


	direcciondestino_LSB = (char) ( entrada_direcciondestino & 0x000000FF );
	direcciondestino_MSB = (char) ((entrada_direcciondestino >> 8) & 0x000000FF );
	endpointdestino = (char) ( entrada_endpointdestino & 0x000000FF );
	clusterdestino = (char) ( entrada_clusterdestino & 0x000000FF );
	comando_LSB = (char) ( entrada_comando & 0x000000FF);
	comando_MSB = (char) ((entrada_comando >> 8) & 0x000000FF);



	*pmensajeaenviar  = (char) 0xFF;	// el primero SIEMPRE ES 0xFF
	*(pmensajeaenviar + 1)  = (char) 0x00;	// dir. ORIGEN LSB - lo rellena el SoC	
	*(pmensajeaenviar + 2)  = (char) 0x00;	// dir. ORIGEN MSB - lo rellena el SoC
	*(pmensajeaenviar + 3)  = (char) 0x00;	// EP.  ORIGEN - lo rellena el SoC
	*(pmensajeaenviar + 4)  = direcciondestino_LSB;	// dir. DESTINO LSB - SE RELLENA AQUÍ
	*(pmensajeaenviar + 5)  = direcciondestino_MSB;	// dir. DESTINO MSB - SE RELLENA AQUÍ
	*(pmensajeaenviar + 6)  = endpointdestino;		// EP.  DESTINO - SE RELLENA AQUÍ
	*(pmensajeaenviar + 7)  = clusterdestino;		// Cluster. DESTINO - no se usa
	*(pmensajeaenviar + 8)  = (char) comando_LSB;	// Comando LSB
	*(pmensajeaenviar + 9)  = (char) comando_MSB;	// Comando MSB

	for(i = 10;i < (10 + LONGITUDDATOS + 1); i++)
	{
		*(pmensajeaenviar + i) = *(entrada_datos + i - 10); 
	}

	*(pmensajeaenviar + 31) = '\0';

	//	pmensajeaenviar es un puntero conocido, desde la función invocante, por lo que no
	//	es necesario devolver nada

}



// 	FUNCION
//	Imprime los datos interpretados ANTES de abrir el puerto 
void zigbeeti_verificaloqueseenvia(char* mensajeaenviar)
{
	int i;
	for(i = 0; i < LONGITUDBUFFERSERIE;i++)
	{	
		printf("byte en posicion %2.2i, valor %2.2x expresado en hexadecimal\n", i ,*(mensajeaenviar + i));
	}

}





















